#
# spec file for package libfwnt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define lname	libfwnt1
%define timestamp 20160418
Name:           libfwnt
Version:        0~%{timestamp}
Release:        1.1
Summary:        Library for Windows NT data types
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Productivity/File utilities
Url:            https://github.com/libyal/libfwnt/wiki
Source:         https://github.com/libyal/libfwnt/releases/download/%timestamp/%{name}-experimental-%{timestamp}.tar.gz
Source2:        Locale_identifier_LCID.pdf
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcdata) >= 20140105
BuildRequires:  pkgconfig(libcerror) >= 20140105
BuildRequires:  pkgconfig(libcnotify)
BuildRequires:  pkgconfig(libcthreads) >= 20130723
#BuildRequires:  pkgconfig(libcstring) >= 20120425
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library to provide Windows NT data type support for the libyal family of libraries.
libyal is typically used in digital forensic tools.

%package -n %{lname}
Summary:        Library for Windows NT data types
License:        LGPL-3.0+
Group:          System/Libraries

%description -n %{lname}
Library to provide Windows NT data type support for the libyal family of libraries.
libyal is typically used in digital forensic tools.

%package devel
Summary:        Development files for libfwnt
License:        LGPL-3.0+ and GFDL-1.3+
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}

%description devel
Library to provide Windows NT data type support for the libyal family of libraries.  libyal is typically used in digital forensic tools.

This subpackage contains libraries and header files for developing
applications that want to make use of libfwnt.

%package -n python-%{name}
Summary:        Python 2 bindings for %{name}
License:        LGPL-3.0+
Group:          Development/Libraries/Python
Requires:       %{lname} = %{version}
Requires:       python
BuildRequires:  pkgconfig(python2)
Provides:       pyfwnt

%description -n python-%{name}
This packinge provides Python 2 bindings for ${name}

%package -n python3-%{name}
Summary:        Python 3 bindings for ${name}
License:        LGPL-3.0+
Group:          Development/Libraries/Python
Requires:       %{lname} = %{version}
Requires:       python3
BuildRequires:  pkgconfig(python3)
Provides:       pyfwnt

%description -n python3-%{name}
This packinge provides Python 3 bindings for ${name}

%prep
%setup -q -n libfwnt-%{timestamp}
cp "%{S:2}" .

%build
%configure --disable-static --enable-wide-character-type --enable-python2 --enable-python3
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%check
# make check

%post   -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_libdir}/libfwnt.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%doc Locale_identifier_LCID.pdf
%{_includedir}/libfwnt.h
%{_includedir}/libfwnt/
%{_libdir}/libfwnt.so
%{_libdir}/pkgconfig/libfwnt.pc
%{_mandir}/man3/libfwnt.3*

%files -n python-%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{python_sitearch}/pyfwnt.so

%files -n python3-%{name}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{python3_sitearch}/pyfwnt.so

%changelog
* Thu Jul 28 2016 Greg.Freemyer@gmail.com
- update to 20160418
  * worked on Python bindings
  * worked on security descriptor support
  * worked on tests
  * 2016 update
- Add python binding subpackages for python 2 and 3
- rename PDF document to eliminate () per new security check
* Fri Jan 29 2016 Greg.Freemyer@gmail.com
- update to 20151206
  * changes in copying security identifier to string
  to work around issues with VS 2008 compilation
  * worked on lzxpress support
  * increased the maximum number of sub authorities from 10 to 15
  * code clean up
* Sun Jan 11 2015 Greg.Freemyer@gmail.com
- update to 20150104
  * 2015 refresh
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- remove %%if opensuse logic.  Not needed with libyal in security:forensics
* Mon Sep  1 2014 Greg.Freemyer@gmail.com
- initial package in OBS (v0~20140105)
